## GstCudaMemoryPool

### Members

`parent` (GstMiniObject) –
No description available
`context` (GstCudaContext *) –
No description available

Since : 1.26

## GstCuda.CudaMemoryPool

### Members

`parent` (Gst.MiniObject) –
No description available
`context` (GstCuda.CudaContext) –
No description available

Since : 1.26

## GstCuda.CudaMemoryPool

### Members

`parent` (Gst.MiniObject) –
No description available
`context` (GstCuda.CudaContext) –
No description available

Since : 1.26

### Constructors

#### gst_cuda_memory_pool_new

    GstCudaMemoryPool *
    gst_cuda_memory_pool_new (GstCudaContext * context,
                              const CUmemPoolProps* props)

Creates a new GstCudaMemoryPool with props. If props is NULL, non-exportable pool property will be used.

Parameters:

`context` –

a GstCudaContext

`props` ( [allow-none]) –

a CUmemPoolProps

Returns ( [transfer: full][nullable]) –

a new GstCudaMemoryPool or NULL on failure

Since : 1.26

### Methods

#### gst_cuda_memory_pool_get_handle

    CUmemoryPool
    gst_cuda_memory_pool_get_handle (GstCudaMemoryPool * pool)

Get CUDA memory pool handle

Parameters:

`pool` –

a GstCudaMemoryPool

Returns –

a CUmemoryPool handle

Since : 1.26

#### gst_cuda_memory_pool_ref

    GstCudaMemoryPool *
    gst_cuda_memory_pool_ref (GstCudaMemoryPool * pool)

Increase the reference count of pool.

Parameters:

`pool` –

a GstCudaMemoryPool

Returns ( [transfer: full]) –

pool

Since : 1.26

#### GstCuda.CudaMemoryPool.prototype.ref

    function GstCuda.CudaMemoryPool.prototype.ref(): {
        // javascript wrapper for 'gst_cuda_memory_pool_ref'
    }

Increase the reference count of pool.

Parameters:

`pool` (GstCuda.CudaMemoryPool) –

a GstCuda.CudaMemoryPool

Returns (GstCuda.CudaMemoryPool) –

pool

Since : 1.26

#### GstCuda.CudaMemoryPool.ref

    def GstCuda.CudaMemoryPool.ref (self):
        #python wrapper for 'gst_cuda_memory_pool_ref'

Increase the reference count of pool.

Parameters:

`pool` (GstCuda.CudaMemoryPool) –

a GstCuda.CudaMemoryPool

Returns (GstCuda.CudaMemoryPool) –

pool

Since : 1.26

#### gst_cuda_memory_pool_unref

    gst_cuda_memory_pool_unref (GstCudaMemoryPool * pool)

Decrease the reference count of pool.

Parameters:

`pool` –

a GstCudaMemoryPool

Since : 1.26

#### GstCuda.CudaMemoryPool.prototype.unref

    function GstCuda.CudaMemoryPool.prototype.unref(): {
        // javascript wrapper for 'gst_cuda_memory_pool_unref'
    }

Decrease the reference count of pool.

Parameters:

`pool` (GstCuda.CudaMemoryPool) –

a GstCuda.CudaMemoryPool

Since : 1.26

#### GstCuda.CudaMemoryPool.unref

    def GstCuda.CudaMemoryPool.unref (self):
        #python wrapper for 'gst_cuda_memory_pool_unref'

Decrease the reference count of pool.

Parameters:

`pool` (GstCuda.CudaMemoryPool) –

a GstCuda.CudaMemoryPool

Since : 1.26

## Functions

### gst_clear_cuda_memory_pool

    gst_clear_cuda_memory_pool (GstCudaMemoryPool ** pool)

Clears a reference to a GstCudaMemoryPool.

Parameters:

`pool` –

a pointer to a GstCudaMemoryPool reference

Since : 1.26

The results of the search are